const page = document.getElementById('page'),
      wrapper = document.getElementById('wrapper'),
      modal = document.getElementById('modal'),
      reset = document.getElementById('reset'),
      initialX = -50,
      initialY = -50;

const resetModalPosition = () => {
  TweenLite.to(
    modal,
    0.6,
    {
      ease: Power3.easeOut,
      x: 0,
      y: 0,
      xPercent: initialX,
      yPercent: initialY,
    }
  );
  reset.disabled = true;
}

Draggable.create(
  modal,
  {
    type: 'x,y',
    bounds: wrapper,
    edgeResistance: 0.85,
    inertia: true,
    throwResistance: 3000,
    onPressInit: function() {
      page.classList.add('bg-violet-900');
    },
    onRelease: function() {
      page.classList.remove('bg-violet-900');
    },
    onDrag: function() {
      const x = gsap.getProperty(this, 'x'),
            y = gsap.getProperty(this, 'y');
      
      if (x === 0 & y === 0) {
        reset.disabled = true;
      } else {
        reset.disabled = false;
      }
    },
  }
);

reset.addEventListener('click', () => {
  resetModalPosition();
});

window.addEventListener('resize', () => {
  resetModalPosition();
});